customerBrand resource type

Represents a Customer Brand in SOFT4Spaces.

Note

For information about enabling APIs for Business Central see Overview.

 

 

API endpoint

 

API Path
customerBrand businesscentralPrefix/soft4/soft4spaces/v3.0/companies({{companyId}})/customerBrands

 

Methods

 

Method Return Type Description
GET customerBrands customerBrands Gets a customer brand object.
DELETE customerBrands none Deletes a customer brand object.
POST customerBrands customerBrands Creates a customer brand object.
PATCH customerBrands customerBrands Updates a customer brand object.

 

GET customerBrands

Description

Retrieves an existing customer brand record from Business Central.

HTTP Request

GET

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/customerBrands

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

None.

Response

Returns a 200 OK status code and JSON object representing the customer brand record.

Example Response

JSON

{
   "id": "64a577da-cef6-ec11-82f9-0022489abef3",
   "customerNo": "30000",
   "brandCode": "TECHNOVA",
   "description": "TechNova electronics store",
   "systemCreatedAt": "2022-06-28T10:41:24.077Z",
   "systemCreatedBy": "5a477047-93d3-4130-a8c2-b05fb7425ffa",
   "systemModifiedAt": "2022-06-28T10:41:31.547Z",
   "systemModifiedBy": "5a477047-93d3-4130-a8c2-b05fb7425ffa"
}

 

POST customerBrands

Description

Creates a new customer brand record in Business Central.

HTTP Request

POST

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/customerBrands

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide a JSON object with customer brand data.

JSON

{
   "customerNo": "30000",
   "brandCode": "URBANTREND",
   "description": "UrbanTrend fashion boutique"
}

Response

Returns a 201 Created status code and the created customer brand object.

 

PATCH customerBrands

Description

Updates existing customer brand record in Business Central.

HTTP Request

PATCH

https://{{businesscentralPrefix}}/{{APIGroup}}/{{version}}/companies({{companyId}})/customerBrands({{customerBrands_id}})

Request Headers

Header Value
Authorization NTLM, OAuth2. Required.
Accept application/json

Request Body

Provide the fields to be updated of customer brand in Business Central.

JSON

{
   "customerNo": "30000",
   "brandCode": "URBANTREND",
   "description": "UrbanTrend boutique"
}

Response

Returns a 200 OK status code.

 

Properties

 

Property Type Description
id GUID The unique ID of the customer brand. Non-editable.
customerNo string The customer's number.
brandCode string The code of the customer brand.
description string Specifies the description of the customer brand.
systemCreatedAt datetime The datetime the customer brand was created. 
systemCreatedBy GUID The ID of the user who created the customer brand.
systemModifiedAt datetime The last datetime the customer brand was modified.
systemModifiedBy GUID The ID of the user who modified the customer brand.

 

JSON Representation

{
   "id": "GUID",
   "customerNo": "string",
   "brandCode": "string"
   "description": "string",
   "systemCreatedAt": "datetime"
   "systemCreatedBy": "GUID",
   "systemModifiedAt": "datetime",
   "systemModifiedBy": "GUID"
}